//=====================================================================
//	IFD Macro Data Assembler Preferences Definitions
//
//	Used by Mac Assembler & Panel, as well as DOS control program
//=====================================================================

#ifndef __DASMPrefs__		// we get included twice to ease DOS usage!
#define __DASMPrefs__

// internal codes for project type

enum {
	kProjTypeBinary,
	kProjTypeResource,
	kProjTypeLinked
};

// Preferences structure. Set by panel, and used by Assembler

#define DASM_PREFSVERSION 0x0300

typedef struct DASMPref
{
	short	version;		// version # of prefs data (MUST be first!)
	short	swap;				// swap output (words and/or longs, for 80x86 code)
	ResType type;
	short	id;
	short	output;			// output type

	short	maxerrs;		// max # of errs before aborting
	short	nowarns;		// != 0 means warnings are errors
	short	nopaths;		// if true, PC paths are stripped, else converted

	char	extension[8];	// extension for output file. Defaults to .BIN
	char	local;				// local symbol. Defaults to '.' (period)
	char	filler;				// REQUIRED! (local[1] = 0 !)
} DASMPref, *DASMPrefPtr, **DASMPrefHandle;

#endif
